Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.cluster
Class ClusterException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.exist.cluster.ClusterException

All Implemented Interfaces:
  java.io.Serializable

public class ClusterException
extends java.lang.Exception

Created by Francesco Mondora.

Author:
  Francesco Mondora aka Makkina, Michele Danieli aka mdanieli Date: Aug 30, 2004 Time: 3:58:41 PM Revision $Revision: 985 $
See Also:
  Serialized Form

Constructor Summary
`ClusterException()`
`ClusterException(java.lang.String s)`
`ClusterException(java.lang.String s, java.lang.Throwable throwable)`
`ClusterException(java.lang.Throwable throwable)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ClusterException

    public ClusterException()

### ClusterException

    public ClusterException(java.lang.String s)

### ClusterException

    public ClusterException(java.lang.String s,
                            java.lang.Throwable throwable)

### ClusterException

    public ClusterException(java.lang.Throwable throwable)

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.